
Foreman - Bug #26562

Queries::SmartProxyQueryTest failure with Rails 5.2.2

04/08/2019 05:38 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6664,

https://github.com/theforeman/foreman/p

ull/7166

  

Description

Starting with https://github.com/rails/rails/commit/3a2e893b89fb5b352ef749a9c4befec323ce24e8

Queries::SmartProxyQueryTest#test_0001_fetching smart proxy attributes:

NoMethodError: undefined method `[]' for nil:NilClass

    test/graphql/queries/smart_proxy_query_test.rb:38:in `block in <class:SmartProxyQueryTest>'

Related issues:

Blocks Foreman - Tracker #25601: Rails 5.2.4 tracker Rejected

Associated revisions

Revision d25f7031 - 11/11/2019 10:16 AM - Tomer Brisker

Fixes #26562 - Test smart proxy graphql on hosts with env

Due to a change in Rails (https://github.com/rails/rails/pull/33673/),

when factory bot creates a smart proxy with child hosts it now triggers

a save on the hosts, which in this test fails because hosts validate

that they have an environment set if they have a puppet proxy assigned.

History

#1 - 04/08/2019 05:38 PM - Anonymous

- Related to Tracker #25601: Rails 5.2.4 tracker added

#2 - 04/08/2019 05:39 PM - Anonymous

- Related to deleted (Tracker #25601: Rails 5.2.4 tracker)

#3 - 04/08/2019 05:40 PM - Anonymous

- Blocks Tracker #25601: Rails 5.2.4 tracker added

#4 - 04/08/2019 10:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/6664 added

#5 - 04/11/2019 12:58 AM - Anonymous

- Category set to Tests

#6 - 05/27/2019 01:10 AM - Anonymous

- Status changed from Ready For Testing to New
https://github.com/rails/rails/commit/3a2e893b89fb5b352ef749a9c4befec323ce24e8
https://github.com/rails/rails/pull/33673/


- Assignee deleted (Anonymous)

#7 - 11/11/2019 09:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7166 added

#8 - 11/11/2019 10:17 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#9 - 11/11/2019 11:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset d25f703193d1f519f76fe1b541964f221cf37283.
